//+------------------------------------------------------------------+
//|                                   MadaForex_TrendBar_HeavyTF.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Madaforex"
#property link      ""

#property indicator_chart_window

#property indicator_chart_window

int tframe[]={/*43200,10080,*/1440,240,60,30,15,5,1};
string tf[]={/*"MN1","W1",*/"D1","H4","H1","M30","M15","M5","M1"};
int tfnumber=7;

extern int fast_ema=12;
extern int slow_ema=26;
extern int signal=9;
extern int price=4;

extern string ___IndicatorSetup___=">>> Indicator Setup:<<<";
extern string ___DisplaySetup___=">>> Display Setup:<<<";
extern color WeakNegativeColor=Red;
extern color UpColor=Green;
extern color WeakPositiveColor=Lime;
extern color DownColor=Maroon;
extern color TextColor=Aqua;
extern int decalageY=0;
extern int Corner=1;

double AC1,AC2;
string TimeFrameStr;
double IndVal[7];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

   for(int w=1;w<tfnumber+1;w++)
     {
      ObjectCreate(tf[w-1],OBJ_LABEL,0,0,0,0,0);
      ObjectSet(tf[w-1],OBJPROP_CORNER,Corner);
      ObjectSet(tf[w-1],OBJPROP_XDISTANCE,(w-1)*23+15);
      ObjectSet(tf[w-1],OBJPROP_YDISTANCE,20+decalageY);
      ObjectSetText(tf[w-1],tf[w-1],7,"Tahoma",TextColor);
      
      ObjectCreate("MACD",OBJ_LABEL,0,0,0,0,0);
      ObjectSet("MACD",OBJPROP_CORNER,Corner);
      ObjectSet("MACD",OBJPROP_XDISTANCE,(w-1)*25+15);
      ObjectSet("MACD",OBJPROP_YDISTANCE,34+decalageY);
      ObjectSetText("MACD","MACD",7,"MACD",TextColor);
     }


//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----

   for(int k=1;k<tfnumber+1;k++)
      ObjectDelete("IndMACD"+k);
   for(k=1;k<tfnumber+1;k++)
      ObjectDelete(tf[k-1]);
      ObjectDelete("MACD");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

//----

   for(int a=1;a<tfnumber+1;a++)
      ObjectDelete("IndMACD"+a);


   for(int j=1;j<tfnumber+1;j++)
     {
      ObjectCreate("IndMACD"+j,OBJ_LABEL,0,0,0,0,0);
      ObjectSet("IndMACD"+j,OBJPROP_CORNER,Corner);
      ObjectSet("IndMACD"+j,OBJPROP_XDISTANCE,(j-1)*23+15);
      ObjectSet("IndMACD"+j,OBJPROP_YDISTANCE,30+decalageY);
      ObjectSetText("IndMACD"+j,CharToStr(110),12,"Wingdings",White);
     }

   for(int x=1;x<tfnumber+1;x++)
     {
      AC1=iMACD(NULL,tframe[x-1],fast_ema,slow_ema,signal,price,MODE_MAIN,0);
      AC2=iMACD(NULL,tframe[x-1],fast_ema,slow_ema,signal,price,MODE_SIGNAL,0+1);

      if(/**/ AC1>AC2 && AC1>0)
        {
         IndVal[x-1]=1;
        }

      else if(/**/ AC1>AC2 && AC1<0)
        {
         IndVal[x-1]=2;
        }

      else if(/**/ AC1<AC2 && AC1<0)
        {
         IndVal[x-1]=-1;
        }

      else if(/**/ AC1<AC2 && AC1>0)
        {
         IndVal[x-1]=-2;
        }

      else IndVal[x-1]=0;
     }

   for(int y=1;y<tfnumber+1;y++)
     {
      if(IndVal[y-1]==-2) ObjectSetText("IndMACD"+y,CharToStr(110),12,"Wingdings",WeakNegativeColor);
      if(IndVal[y-1]==-1) ObjectSetText("IndMACD"+y,CharToStr(110),12,"Wingdings",DownColor);
      //if(IndVal[y-1]==0) ObjectSetText("IndMACD"+RSIperiod1+y,CharToStr(110),12,"Wingdings",FlatColor);
      if(IndVal[y-1]==1) ObjectSetText("IndMACD"+y,CharToStr(110),12,"Wingdings",UpColor);
      if(IndVal[y-1]==2) ObjectSetText("IndMACD"+y,CharToStr(110),12,"Wingdings",WeakPositiveColor);
     }

   return(0);
  }
//+------------------------------------------------------------------+
